Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.19 veröffentlicht (11.09.18)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
1.6.16 auf 1.8.3 oder 1.8.0 Performing necessary upgrade queries..
#1
Hallo,

ich hatte vor einigen Wochen bereits mein Testforum mit den damals gleichen Inhalten wie das aktuelle Forum von 1.6.15 auf 1.8.0 geupdatet, von den dazugehörigen Anpassungen mal abgesehen, lief das ohne Probleme.
Also wollte ich heute das "richtige" Forum von 1.6.16 auf 1.8.3 updaten. Nach nun 3 gescheiterten Versuchen wo sich der Upgrade Prozess bereits beim ersten Schritt halb tot lädt und irgendwann dann "Performing necessary upgrade queries.." erscheint, tut sich da leider nichts. Also dachte ich, versuche ich es mit 1.8.0 so wie auch beim Testforum, aber auch dort lädt es jetzt seit über 10 Minuten und nichts tut sich. Liegt das jetzt daran, weil die Version 1.6.16 nicht aufgeführt wird oder was ist das Problem?
Da ich seit nun mehr 2 Stunden da dran sitze, wäre ich für etwas Hilfe dankbar.

edit: Okay jetzt kam die gleiche schöne weiße Seite mit dem Inhalt:
MyBB

MyBB Installation Wizard
  • Upgrade Process
Updating Database
Performing necessary upgrade queries...
Zitieren
#2
Wenn die Datenbank-Queries besonders lange brauchen, kann es passieren, dass das Upgrade abbricht. Hast du das Upgrade des Testforums auf dem gleichen Server durchgeführt?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
Ja es ist auf dem gleichen Server und nur eine Subdomain. Die Datenbank hat eine Größe von: 192,9 MiB falls das hilft.

edit: Ich habe es jetzt auch mal mit dem echo aus https://www.mybb.de/forum/thread-13210.html versucht aber da wird mir auch kein echo angezeigt. Was aber vorhin noch nicht war oder mir nicht aufgefallen ist, die upgrade.php wird als Download angezeigt.
Zitieren
#4
Hast Du evtl. Zugriff auf die Server-Logs?
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#5
Ich denke schon.
"ältere ERROR-Logfiles als GZIP herunterladen" wird mir angezeigt.
Zitieren
#6
Diese Meldung sieht mir nicht danach aus, als wenn sie aus den Server-Logs stammen würde.....
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#7
Laufendes Logfile ansehen hätte ich auch noch, ansonsten wohl nicht.

edit: Da die Logfiles für den Anhang hier zu groß sind, habe ich es dir mal per PN geschickt.
Zitieren
#8
Das Problem scheint das Plugin Account Switcher zu sein:
Code:
PHP Fatal error:  Call to a member function cache() on a non-object in /inc/plugins/accountswitcher.php on line 34, referer: .../install/upgrade.php
Diese Fehlermeldung findet sich immer wieder im Log.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#9
Aber ich habe vor dem Update alle Plugins deaktiviert und beim ersten Versuch auch deinstalliert.
Zitieren
#10
Du kannst die entsprechende Zeile 34 im Plugin (inc/plugins/accountswitcher.php) auch einfach ganz löschen. Sie ist sowieso in der aktuellsten Version nicht mehr vorhanden. Wink
Zitieren